<?php

/*-----------*/
/*  Licence  */
/*-----------*/
/*
 LLN Poller - a program which keeps alive a connection with the Leeds Learning Network Proxy Server
 Copyright (C) 2001 Phil Driscoll, Dial Solutions Ltd

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*--------------------------------------------------------------*/
/*you can tweak these configuration variables to suit your setup*/
/*--------------------------------------------------------------*/

//seconds between polls
$PollDelay=5*60;//5 minutes works well (300 seconds)

//web page to keep fetching - something very small!
$PollAddress='http://www.bbc.co.uk/home/furniture2/video.gif';

//time of day to start polling (24 hour clock!)
$PollAfterHour=8;$PollAfterMinute=00;

//time of day to stop polling (24 hour clock!)
$PollBeforeHour=16;$PollBeforeMinute=15;

//which days to poll - 1=poll, 0=don't poll
$PollDays['Monday']=1;
$PollDays['Tuesday']=1;
$PollDays['Wednesday']=1;
$PollDays['Thursday']=1;
$PollDays['Friday']=1;
$PollDays['Saturday']=0;
$PollDays['Sunday']=0;


//where is the LLN proxy server?
$ProxyAddress='4752proxy.intra.Leedslearning.net';

//and what's its port
$ProxyPort=80;


/*-----------------------------------------------------------------*/
/* Don't touch below here unless you really know what you're doing */
/*-----------------------------------------------------------------*/

function OpenViaProxy($URL,$Proxy,$ProxyPort)
{
 $F=fsockopen($Proxy,$ProxyPort,&$errno,&$errstr);
 if(!$F)
 {
  echo "proxy not available !\n";
 }
 else
 {
  echo "proxy polled\n";
  fputs($F,"GET $URL/ HTTP/1.0\n\n");
  while (!feof($F))
  {
   $Data=fgets($F,1000);
  }
  fclose($F);
 }
}

set_time_limit(0);
echo("LLN poller\n");
echo("Copyright (c) 2001 Dial Solutions Ltd\n");

while(TRUE)
{
 $Time=getdate(time());
 echo(strftime('%c'."\n"));
 if($PollDays[$Time['weekday']])
 {
  if(($Time['hours']>$PollAfterHour || ($Time['hours']==$PollAfterHour && $Time['minutes']>=$PollAfterMinute)) &&
     ($Time['hours']<$PollBeforeHour || ($Time['hours']==$PollBeforeHour && $Time['minutes']<=$PollBeforeMinute)))
  {
   echo("Polling\n");
   OpenViaProxy($PollAddress,$ProxyAddress,$ProxyPort);
  }
  else
  {
   echo('Out of hours');
  }
 }
 else
 {
  echo("no polling today\n");
 }
 sleep($PollDelay);
}
?>
